=== modified file 'mpknit'
--- mpknit	2007-04-10 23:45:15 +0000
+++ mpknit	2007-04-11 12:50:25 +0000
@@ -14,14 +14,18 @@
     print >> sys.stderr, 'Usage: mpknit [--single] FILENAME'
     sys.exit(3)
     
-bt = wt.branch.repository.revision_tree(wt.last_revision())
-file_id = wt.path2id(path)
-file_weave = bt.get_weave(file_id)
-for revision in file_weave.get_ancestry([bt.inventory[file_id].revision]):
-    parents = file_weave.get_parents(revision)
-    if single_parent:
-        parents = parents[0:1]
-    texts = file_weave.get_texts([revision] + parents)
-    print revision
-    patch_iter = MultiParent.from_texts(texts[0], texts[1:]).to_patch()
-    sys.stdout.writelines(patch_iter)
+wt.lock_read()
+try:
+    bt = wt.branch.repository.revision_tree(wt.last_revision())
+    file_id = wt.path2id(path)
+    file_weave = bt.get_weave(file_id)
+    for revision in file_weave.get_ancestry([bt.inventory[file_id].revision]):
+        parents = file_weave.get_parents(revision)
+        if single_parent:
+            parents = parents[0:1]
+        texts = file_weave.get_texts([revision] + parents)
+        print revision
+        patch_iter = MultiParent.from_texts(texts[0], texts[1:]).to_patch()
+        sys.stdout.writelines(patch_iter)
+finally:
+    wt.unlock()

